# react-native-net-perform

## Getting started

`$ npm install react-native-net-perform --save`

### Mostly automatic installation

`$ react-native link react-native-net-perform`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-net-perform` and add `NetPerform.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libNetPerform.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.NetPerformPackage;` to the imports at the top of the file
  - Add `new NetPerformPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-net-perform'
  	project(':react-native-net-perform').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-net-perform/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-net-perform')
  	```


## Usage
```javascript
import NetPerform from 'react-native-net-perform';

// TODO: What to do with the module?
NetPerform;
```
